Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageConvolve Class Reference

`#include <vtkImageConvolve.h>`

Inheritance diagram for vtkImageConvolve:

[legend]
Collaboration diagram for vtkImageConvolve:

[legend]
List of all members.

## Detailed Description

Convolution of an image with a kernel.

Date:
  2002/01/22 15:32:11

Revision:
  1.11

vtkImageConvolve convolves the image with a 3D NxNxN kernel or a 2D NxN kernal. The output image is cropped to the same size as the input.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Gobbi, David (56%)
  - Schroeder, Will (41%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageConvolve.cxx)`
  - .`h` (`/Imaging/vtkImageConvolve.h)`

Tests:
  vtkImageConvolve (Tests)

Definition at line 46 of file vtkImageConvolve.h.

## [NOHEADER]
typedef vtkImageToImageFilter | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkImageConvolve * | New ()
int | IsTypeOf (const char *type)
vtkImageConvolve * | SafeDownCast (vtkObject *o)
## Public Methods
void | SetKernel7x7 (float kernel[49])
float * | GetKernel7x7 ()
void | GetKernel7x7 (float kernel[49])
void | SetKernel3x3x3 (const float kernel[27])
void | SetKernel5x5x5 (float kernel[125])
void | SetKernel7x7x7 (float kernel[343])
float * | GetKernel5x5x5 ()
void | GetKernel5x5x5 (float kernel[125])
float * | GetKernel7x7x7 ()
void | GetKernel7x7x7 (float kernel[343])
virtual int * | GetKernelSize ()
virtual void | GetKernelSize (int &, int &, int &)
virtual void | GetKernelSize (int[3])
void | SetKernel3x3 (const float kernel[9])
void | SetKernel5x5 (const float kernel[25])
float * | GetKernel3x3 ()
void | GetKernel3x3 (float kernel[9])
float * | GetKernel5x5 ()
void | GetKernel5x5 (float kernel[25])
float * | GetKernel3x3x3 ()
void | GetKernel3x3x3 (float kernel[27])
## Protected Methods
| vtkImageConvolve ()
| ~vtkImageConvolve ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
void | GetKernel (float *kernel)
float * | GetKernel ()
void | SetKernel (const float *kernel, int sizeX, int sizeY, int sizeZ)
## Protected Attributes
int | KernelSize [3]
float | Kernel [343]

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageConvolve::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 52 of file vtkImageConvolve.h.

## Constructor & Destructor Documentation

vtkImageConvolve::vtkImageConvolve | ( |  | ) | `[protected]`

vtkImageConvolve::~vtkImageConvolve | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageConvolve* vtkImageConvolve::New | ( |  | ) | `[static]`

| Construct an instance of vtkImageConvolve filter. Reimplemented from vtkObject.

virtual const char* vtkImageConvolve::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageConvolve::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageConvolve::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageConvolve* vtkImageConvolve::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageConvolve::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual int* vtkImageConvolve::GetKernelSize | ( |  | ) | `[virtual]`

| Get the kernel size

virtual void vtkImageConvolve::GetKernelSize | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Get the kernel size

virtual void vtkImageConvolve::GetKernelSize | ( | int | [3] | ) | `[virtual]`

| Get the kernel size

void vtkImageConvolve::SetKernel3x3 | ( | const float | kernel[9] | ) |

| Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.

void vtkImageConvolve::SetKernel5x5 | ( | const float | kernel[25] | ) |

| Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.

void vtkImageConvolve::SetKernel7x7 | ( | float | kernel[49] | ) |

float* vtkImageConvolve::GetKernel3x3 | ( |  | ) |

| Return an array that contains the kernel.

void vtkImageConvolve::GetKernel3x3 | ( | float | kernel[9] | ) |

| Return an array that contains the kernel.

float* vtkImageConvolve::GetKernel5x5 | ( |  | ) |

| Return an array that contains the kernel.

void vtkImageConvolve::GetKernel5x5 | ( | float | kernel[25] | ) |

| Return an array that contains the kernel.

float* vtkImageConvolve::GetKernel7x7 | ( |  | ) |

void vtkImageConvolve::GetKernel7x7 | ( | float | kernel[49] | ) |

void vtkImageConvolve::SetKernel3x3x3 | ( | const float | kernel[27] | ) |

| Set the kernel to be a 3x3x3 or 5x5x5 or 7x7x7 kernel.

void vtkImageConvolve::SetKernel5x5x5 | ( | float | kernel[125] | ) |

void vtkImageConvolve::SetKernel7x7x7 | ( | float | kernel[343] | ) |

float* vtkImageConvolve::GetKernel3x3x3 | ( |  | ) |

| Return an array that contains the kernel

void vtkImageConvolve::GetKernel3x3x3 | ( | float | kernel[27] | ) |

| Return an array that contains the kernel

float* vtkImageConvolve::GetKernel5x5x5 | ( |  | ) |

void vtkImageConvolve::GetKernel5x5x5 | ( | float | kernel[125] | ) |

float* vtkImageConvolve::GetKernel7x7x7 | ( |  | ) |

void vtkImageConvolve::GetKernel7x7x7 | ( | float | kernel[343] | ) |

void vtkImageConvolve::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

void vtkImageConvolve::GetKernel | ( | float * | kernel | ) | `[protected]`

float* vtkImageConvolve::GetKernel | ( |  | ) | `[protected]`

void vtkImageConvolve::SetKernel | ( | const float * | kernel,
|  | int | sizeX,
|  | int | sizeY,
|  | int | sizeZ
| ) | `[protected]`

## Member Data Documentation

int vtkImageConvolve::KernelSize[3]`[protected]`

| Definition at line 114 of file vtkImageConvolve.h.

float vtkImageConvolve::Kernel[343]`[protected]`

| Definition at line 115 of file vtkImageConvolve.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageConvolve.h